Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2135358 - F35FailsToInstall: gappalib-coq
Summary: F35FailsToInstall: gappalib-coq
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gappalib-coq
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-10-17 11:18 UTC by Miro Hrončok
Modified: 2022-10-26 17:34 UTC (History)
1 user (show)

Fixed In Version: gappalib-coq-1.4.6-10.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-26 17:34:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-10-17 11:18:16 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (gappalib-coq) Fails To Install in Fedora 35:

can't install gappalib-coq:
  - nothing provides ocamlx(NCoq_Init_Datatypes) = d7f2e3ad1d9f28f92e9bbc669254e224 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Init_Logic) = c389941227cb4619e1fe20f2753d6c3a needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Init_Specif) = fdfee754bb28cecff3e1f02de1f5db8d needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Lists_List) = 5f74bb9c016c69dd18319dd1a9f8b6ec needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Numbers_BinNums) = 96b928575fe1f963591b5c308bb9796f needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_PArith_BinPos) = 5ddc2b4d604e948dc202ecd7f3b733a5 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Rbasic_fun) = 89cfe53271a24136d4a4f2a0e1351922 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Rdefinitions) = 8206debf204ddc208f6306958c814f71 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_BinInt) = 738df20477de9201889f6cee4371c883 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_Zbool) = e9f353df1db3ae8a05b293b4d0b9c541 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_ZArith_Zpower) = aae623d675514b6aac85ae8225a79fdb needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Nativecode) = d1acf15e73974d1e00a8432df72f392a needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Nativevalues) = 8e38a6345c12bdcb389aefd53ae24943 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Floats_SpecFloat) = f6f7d1ee9221054c5360eb4c48887e96 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_NArith_BinNat) = b0bcf01207ccb5d9b94dfc784fe8f0eb needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_R_sqrt) = 412ffd88a7ce39dba454dc6770cfeb50 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Rfunctions) = 1e28d6b940bbec126badc2b057351770 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(CErrors) = bdf2422f91896264660b5a922df7511f needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Constrintern) = 172ff2ca14125c35cd835fcc21b519e5 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Context) = 4f23d2d43e4c354a25937d1b7cb98345 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Coqlib) = be4cbf4b3caaea59fbdb591d38dee52f needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Dumpglob) = 13241fbdf12a3ba640bee13c1126dc2a needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(EConstr) = 7aaeecdc67bf00c03394979666d6d4b1 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Environ) = a488bc8fa2e970c37c4eaccfc49951cb needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Evarutil) = f8bd77307d21f7a38f36ddf7bbb59b90 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Evd) = f541cf193a380dba54ee1dc7e4b29d91 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Logic) = 82ad1e9aa7f2308c425514f44c6442da needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Ltac_plugin) = 052a90c2aba59450b24f6e4a505dda1f needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Mltop) = 5fb7716f735d4e9b31dabfe278bd72ec needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_Reals_Raxioms) = b5365bd8473648b339092bf24195ef0a needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(NCoq_setoid_ring_Field_theory) = 575b554b1961f4538fce248439814299 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Names) = 528a31b9b710e028944a0154abdede53 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Pcoq) = 3e3b0bfa2e330b63b2e584879bef2eff needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Printer) = 6d26f154b143adaad7a95d95a9ba19d6 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Proofview) = 235b1e41980c15b82643a60694e67ef0 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Reductionops) = 956c7b80a9ec3b9f5c50ccfe6d52d6ff needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Tacmach) = caf7d9d57f5231324c6d5de0433c1a4b needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Tacred) = de82271a9814e61c10a86d5dbfd1f983 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Tacticals) = dab5f4e5f67ebf0ee86932249f148a50 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Tactics) = 8312f1704fe963506ef5c7bb10299394 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(UnivGen) = 4adbad5fa82668857ad479948fd4a8d9 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  - nothing provides ocamlx(Vernacstate) = a4992ad6840203676db32ee9d6ce0143 needed by gappalib-coq-1.4.6-9.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-35-x86_64 --config-opts mirrored=False install gappalib-coq


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-10-17 16:27:06 UTC
FEDORA-2022-09bfa5a489 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-09bfa5a489

Comment 2 Fedora Update System 2022-10-18 14:37:26 UTC
FEDORA-2022-09bfa5a489 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-09bfa5a489`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-09bfa5a489

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-10-26 17:34:52 UTC
FEDORA-2022-09bfa5a489 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.